Runtime

## org.eclipse.gmf.runtime.common.ui.services.properties.extended
Class ExtendedTextPropertyDescriptor

    java.lang.Object
      org.eclipse.ui.views.properties.PropertyDescriptor
          org.eclipse.gmf.runtime.common.ui.services.properties.extended.ExtendedPropertyDescriptor
              org.eclipse.gmf.runtime.common.ui.services.properties.extended.ExtendedTextPropertyDescriptor

All Implemented Interfaces:
  ICompositeSourcePropertyDescriptor, IExtendedPropertyDescriptor, IPropertyDescriptor

public class ExtendedTextPropertyDescriptor
extends ExtendedPropertyDescriptor

Constructor Summary
`ExtendedTextPropertyDescriptor(java.lang.Object id, java.lang.String displayName)` Constructor for ExtendedTextPropertyDescriptor.

Method Summary
`CellEditor` `createPropertyEditor(Composite parent)`

Methods inherited from class org.eclipse.gmf.runtime.common.ui.services.properties.extended.ExtendedPropertyDescriptor
`getBlank, getDisplayName, getPropertySource, getPropertyValue, isCompatibleWith, isDirty, isReadOnly, resetPropertyValue, setDirtyFlag, setDisplayName, setPropertySource, setPropertyValue, setReadOnly`

Methods inherited from class org.eclipse.ui.views.properties.PropertyDescriptor
`getAlwaysIncompatible, getCategory, getDescription, getFilterFlags, getHelpContextIds, getId, getLabelProvider, getValidator, isLabelProviderSet, setAlwaysIncompatible, setCategory, setDescription, setFilterFlags, setHelpContextIds, setLabelProvider, setValidator`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.runtime.common.ui.services.properties.extended.IExtendedPropertyDescriptor
`setValidator`

Methods inherited from interface org.eclipse.gmf.runtime.common.ui.services.properties.descriptors.ICompositeSourcePropertyDescriptor
`setCategory`

Methods inherited from interface org.eclipse.ui.views.properties.IPropertyDescriptor
`getCategory, getDescription, getFilterFlags, getHelpContextIds, getId, getLabelProvider`

Constructor Detail

### ExtendedTextPropertyDescriptor

    public ExtendedTextPropertyDescriptor(java.lang.Object id,
                                          java.lang.String displayName)

  Constructor for ExtendedTextPropertyDescriptor.

Parameters:
  `id` -
  `displayName` -

Method Detail

### createPropertyEditor

    public CellEditor createPropertyEditor(Composite parent)

  See Also:
    `IPropertyDescriptor.createPropertyEditor(Composite)`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.